# $Id: kernel-modules-matroxdriver.spec,v 1.13 2007/11/13 11:12:55 vsu Exp $

%define module_name	matroxdriver
%define module_version	1.4.4.8
%define module_release	alt1

%define kversion	2.6.18
%define krelease	alt10.M41
%define flavour		xen-dom0

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	Matrox Parhelia video card drivers
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.10.M41
License:	Proprietary
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.tuxx-home.at/projects/mtx/latest/
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

ExclusiveArch:	%ix86 x86_64

%description
Parhelia, P650/P750 Millenium kernel module for Linux.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build

pushd src
cd parhelia
%__ln_s ../../mtx_parhelia.o .
cd ..
# FIXME - ugly hack
%__subst 's,\"2\.4\",2.4,' Makefile
%__subst 's,^#EXTRA_CFLAGS.*,EXTRA_CFLAGS += -DMTX_MULTIPLE_BRIDGE_AGPGART,' Makefile_2.6

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%ifarch %ix86
GCC_VERSION="$GCC_VERSION -m32"
%endif

%make CC="gcc-$GCC_VERSION" \
%if "%kversion" <= "2.6.0"
      KERNELVERSION="2.4" \
      KBUIDDIR=%_usrsrc/linux-%kversion-%flavour \
      LNXTREE=%_usrsrc/linux-%kversion-%flavour/include \
%else
      KERNELVERSION="2.6" \
      LNXTREE=%_usrsrc/linux-%kversion-%flavour/include \
      KERNELSRC=%_usrsrc/linux-%kversion-%flavour \
      KERNELDIR=%_usrsrc/linux-%kversion-%flavour \
      KERNELTOP=%_usrsrc/linux-%kversion-%flavour \
%endif
      INSTALLERBUILD=1 \
      PARHELIUX=`pwd`
popd

%install
%__mkdir_p %buildroot%module_dir
%if "%kversion" < "2.6.0"
install -p -m644 src/mtx.o %buildroot%module_dir
%else
install -p -m644 src/mtx.ko %buildroot%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Thu Jun 26 2008 Michail Yakushin <silicium@altlinux.ru> 1.4.4.8-alt1.132626.10.M41
- Build for kernel-image-xen-dom0-2.6.18-alt10.M41.

* Sat Mar 17 2007 L.A. Kostis <lakostis@altlinux.ru> 1.4.4.8-alt1
- Version 1.4.4.8.
- Add -DMTX_MULTIPLE_BRIDGE_AGPGART explicitly.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.4.4.2-alt5
- Removed unneeded "Prereq: modutils".

* Fri Oct 27 2006 L.A. Kostis <lakostis@altlinux.org> 1.4.4.2-alt4
- add hack for %%ix86 cross-build on x86_64 host.

* Sat Sep 23 2006 L.A. Kostis <lakostis@altlinux.ru> 1.4.4.2-alt3
- Rebuild w/ 1.4.4.2a version.

* Mon Sep 04 2006 L.A. Kostis <lakostis@altlinux.ru> 1.4.4.2-alt2
- Rebuild w/ x86_64 support.

* Sat Aug 12 2006 L.A. Kostis <lakostis@altlinux.ru> 1.4.4.2-alt1
- Version 1.4.4.2 (now it declares Xorg-7.1 support).

* Sat Aug 12 2006 L.A. Kostis <lakostis@altlinux.ru> 1.4.3.5-alt2
- fix build vars.

* Mon Jul 10 2006 L.A. Kostis <lakostis@altlinux.ru> 1.4.3.5-alt1
- Update to 1.4.3.5 version (support Xorg-7.0).
- Use unofficial URL now.

* Sat Oct 22 2005 LAKostis <lakostis at altlinux.ru> 1.4.2.2-alt1
- 1.4.2.2.
- sync from http://www.tuxx-home.at/projects/mtx/latest/

* Tue Aug 16 2005 LAKostis <lakostis at altlinux.ru> 1.4.2-alt1
- Initial build for ALTLinux.

